<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->boolean('hide_on_search')->default(false);
            $table->boolean('not_show_over_aged')->default(false);
            $table->enum('who_can_contact',['match', 'unmatch', 'connection'])->nullable()->default(null);


        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['not_show_over_aged','hide_on_search']);
        });
    }
};
